WARNING in logs due to missing python-jsonschema

Bug #1724354 reported by Scott Moser on 2017-10-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init
Low
Unassigned
cloud-init (Ubuntu)
Low
Unassigned
Xenial
Medium
Chad Smith
Zesty
Medium
Chad Smith
Artful
Undecided
Unassigned

Bug Description

=== Begin SRU Template ===
[Impact]
If python3-jsonschema is not installed, then WARNING will be written
to console log and to /var/log/cloud-init.log with certain cloud-config
data is provided.

python3-jsonschema is a soft dependency of cloud-init and specically
not listed in 16.04 and 17.04 packaging as it was not a dependency in
the versions of cloud-init originally released then.

The WARNING is only "scary", and has no negative affect on runtime.

[Test Case]
The change for this bug modified the integration test suite so
that WARN in /var/log/cloud-init would trigger a test failure.
Running the integration testsuite would show this failure with
that test now in place.

A manual test can be done though as follows.

$ cat > my.cfg <<EOF
#cloud-config
bootcmd:
  - "cat /proc/uptime > /run/bootcmd-works"
runcmd:
  - "cat /proc/uptime > /run/runcmd-works"
EOF

$ for r in zesty xenial; do
   lxc init $r-proposed $r-info &&
   lxc-pstart $r-info \
     sh -c 'dpkg-query --show cloud-init; cat /etc/cloud/build.info' &&
     lxc delete --force $r-info; done

# show container info just to show versions.
$ for r in zesty xenial; do
   lxc init $r-proposed $r-info >/dev/null 2>&1 && echo == $r-info == &&
   lxc-pstart $r-info -- \
      sh -xc 'dpkg-query --show cloud-init; cat /etc/cloud/build.info' &&
   lxc delete --force $r-info; done

## launch an instance of each release and grab logs.
$ for rel in xenial zesty; do
   n=$rel-1724354
   lxc launch $rel-proposed $n "--config=user.user-data=$(cat my.cfg)"
   lxc exec $n -- sh -c \
      'while ! [ -e /run/cloud-init/result.json ]; do echo -n .; sleep 1; done; echo'
   lxc file pull $n/var/log/cloud-init.log $n-cloud-init.log
done

# check that 1724354 is installed.
$ grep "WARN" *-1724354-cloud-init.log

[Regression Potential]
Highest chance for regression would be in the integration test
suite. The only change in code path is in cloudinit/config/schema.py:
 - logging.warning(
 + logging.debug(

[Other Info]
Upstream commit at
  https://git.launchpad.net/cloud-init/commit/?id=41152f10ddb

Note, this is not specifically in artful at this point, but also
note that this bug does not affect artful. Artful's package
has a depends on python3-jsonschema, so it will not demonstrate
the issue.

=== End SRU Template ===

$ dpkg-query --show cloud-init
cloud-init 17.1-18-gd4f70470-0ubuntu1~16.04.1

$ sudo cat /var/lib/cloud/instance/user-data.txt
#cloud-config
bootcmd:
  - "cat /proc/uptime > /run/bootcmd-works"
runcmd:
  - "cat /proc/uptime > /run/runcmd-works"

$ grep WARN /var/log/cloud-init.log
2017-10-17 19:08:10,509 - schema.py[WARNING]: Ignoring schema validation. python-jsonschema is not present
2017-10-17 19:08:10,586 - schema.py[WARNING]: Ignoring schema validation. python-jsonschema is not present
2017-10-17 19:08:14,651 - schema.py[WARNING]: Ignoring schema validation. python-jsonschema is not present

Related branches

Scott Moser (smoser) on 2017-10-17
Changed in cloud-init (Ubuntu):
status: New → Invalid
importance: Undecided → Low
Changed in cloud-init (Ubuntu Xenial):
status: New → Confirmed
Changed in cloud-init (Ubuntu Zesty):
status: New → Confirmed
Changed in cloud-init (Ubuntu Xenial):
importance: Undecided → Medium
Changed in cloud-init (Ubuntu Zesty):
importance: Undecided → Medium
description: updated
Scott Moser (smoser) on 2017-10-18
Changed in cloud-init (Ubuntu Xenial):
assignee: nobody → Scott Moser (smoser)
assignee: Scott Moser (smoser) → nobody
assignee: nobody → Chad Smith (chad.smith)
Changed in cloud-init (Ubuntu Zesty):
assignee: nobody → Chad Smith (chad.smith)
Changed in cloud-init:
status: New → Fix Committed
importance: Undecided → Low
Scott Moser (smoser) on 2017-10-19
description: updated
description: updated
summary: - WARNING in logs due to missing python-jsconschema
+ WARNING in logs due to missing python-jsonschema
Scott Moser (smoser) on 2017-10-19
description: updated

Hello Scott, or anyone else affected,

Accepted cloud-init into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-18-gd4f70470-0ubuntu1~17.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Zesty):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-zesty
Changed in cloud-init (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed-xenial
Brian Murray (brian-murray) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-18-gd4f70470-0ubuntu1~16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris Halse Rogers (raof) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-25-g17a15f9e-0ubuntu1~17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed-artful
Chris Halse Rogers (raof) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-25-g17a15f9e-0ubuntu1~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris Halse Rogers (raof) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-25-g17a15f9e-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chad Smith (chad.smith) wrote :

Ran the following script for SRU verification, we expect Artful to carry a strict dependency on python3-jsonschema so no messages about "Ignoring schema validation" will exist. Xenial and Zesty don't have a package dependency for jsonschema defined, so debug message (not warning) should exist.

#!/bin/bash
cat > my.cfg <<EOF
#cloud-config
bootcmd:
  - "cat /proc/uptime > /run/bootcmd-works"
runcmd:
  - "cat /proc/uptime > /run/runcmd-works"
EOF

for release in artful; do
  ref="$release-proposed";
  echo "$release START --------------";
  lxc-proposed-snapshot -p -P $release $ref;
  lxc init $ref test-$release;
  lxc config set test-$release user.user-data - < my.cfg;
  lxc start test-$release;
  lxc exec test-$release -- sh -c 'while ! [ -e /run/cloud-init/result.json ]; do echo -n .; sleep 1; done; echo';
  lxc exec test-$release -- cat /run/cloud/build.info;
  lxc exec test-$release -- grep 'Ignoring schema validation' /var/log/cloud-init.log;
done

=== Abridged SRU output ===
xenial START --------------
Creating xenial-proposed-204712498
...
Preparing to unpack .../cloud-init_17.1-25-g17a15f9e-0ubuntu1~16.04.1_all.deb ...

Creating test-xenial
........
build_name: server
serial: 20171024
2017-10-25 21:55:45,845 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-10-25 21:55:45,866 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-10-25 21:55:48,668 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
zesty START --------------
Creating zesty-proposed-248586300
...
Preparing to unpack .../cloud-init_17.1-25-g17a15f9e-0ubuntu1~17.04.1_all.deb ...
Creating test-zesty
..........
build_name: server
serial: 20171024
2017-10-25 21:57:24,302 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-10-25 21:57:24,325 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-10-25 21:57:27,818 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present

artful START -------------- # no schema validation messages
Creating artful-proposed-3130329978
...
Get:1 http://archive.ubuntu.com/ubuntu artful-proposed/main amd64 cloud-init all 17.1-25-g17a15f9e-0ubuntu1~17.10.1 [333 kB]
...
Creating test-artful
..................
build_name: server
serial: 20171024

=== End Abridged SRU output ===

tags: added: verification-done verification-done-artful verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-artful verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 17.1-25-g17a15f9e-0ubuntu1~17.10.1

---------------
cloud-init (17.1-25-g17a15f9e-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * New upstream snapshot.
    - resizefs: Fix regression when system booted with root=PARTUUID=
      (LP: #1725067)
    - tools: make yum package installation more reliable
    - citest: fix remaining warnings raised by integration tests.
    - citest: show the class actual class name in results.
    - ntp: fix config module schema to allow empty ntp config
      (LP: #1724951)
    - tools: disable fastestmirror if using proxy [Joshua Powers]
    - schema: Log debug instead of warning when jsonschema is not available.
      (LP: #1724354)

 -- Chad Smith <email address hidden> Mon, 23 Oct 2017 15:07:35 -0600

Changed in cloud-init (Ubuntu):
status: Invalid → Fix Released
Changed in cloud-init (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Scott, or anyone else affected,

Accepted cloud-init into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-27-geb292c18-0ubuntu1~17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty
removed: verification-done verification-done-zesty
Łukasz Zemczak (sil2100) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/17.1-27-geb292c18-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-done-xenial
Chad Smith (chad.smith) wrote :

=== Abridged SRU validation output ===
$ cat > my.cfg <<EOF
#cloud-config
bootcmd:
  - "cat /proc/uptime > /run/bootcmd-works"
runcmd:
  - "cat /proc/uptime > /run/runcmd-works"
EOF

$ for release in xenial zesty artful; do
   ref="$release-proposed";
   echo "$release START --------------";
   lxc-proposed-snapshot -p -P $release $ref;
   lxc init $ref test-$release;
   lxc config set test-$release user.user-data - < my.cfg;
   lxc start test-$release;
   lxc exec test-$release -- sh -c 'while ! [ -e /run/cloud-init/result.json ]; do echo -n .; sleep 1; done; echo';
   lxc exec test-$release -- dpkg-query --show cloud-init;
   lxc exec test-$release -- grep 'Ignoring schema' /var/log/cloud-init.log;
   lxc exec test-$release -- dpkg-query --show python3-jsonschema;
done

xenial START --------------
Creating xenial-proposed-21323830
-P --
Get:1 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 cloud-init all 17.1-27-geb292c18-0ubuntu1~16.04.1 [341 kB]
Creating test-xenial
........
cloud-init 17.1-27-geb292c18-0ubuntu1~16.04.1
2017-11-07 20:00:33,875 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-11-07 20:00:33,898 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-11-07 20:00:36,716 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
dpkg-query: no packages found matching python3-jsonschema

zesty START --------------
Creating zesty-proposed-103427244
-P --
Get:1 http://archive.ubuntu.com/ubuntu zesty-proposed/main amd64 cloud-init all 17.1-27-geb292c18-0ubuntu1~17.04.1 [339 kB]
Creating test-zesty
...........
cloud-init 17.1-27-geb292c18-0ubuntu1~17.04.1
2017-11-07 20:02:13,151 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-11-07 20:02:13,181 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
2017-11-07 20:02:17,111 - schema.py[DEBUG]: Ignoring schema validation. python-jsonschema is not present
dpkg-query: no packages found matching python3-jsonschema

artful START --------------
Creating artful-proposed-111528348
-P --
Get:1 http://archive.ubuntu.com/ubuntu artful-proposed/main amd64 cloud-init all 17.1-27-geb292c18-0ubuntu1~17.10.1 [332 kB]
Creating test-artful
...................

artful START -------------- # Note no warnings because python-jsonschema is installed by pkg deps
cloud-init 17.1-27-geb292c18-0ubuntu1~17.10.1
python3-jsonschema 2.5.1-6

=== End Abridged SRU validation output ===

tags: added: verification-done verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (7.3 KiB)

This bug was fixed in the package cloud-init - 17.1-27-geb292c18-0ubuntu1~17.04.1

---------------
cloud-init (17.1-27-geb292c18-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * New upstream snapshot.
    - EC2: Limit network config to fallback nic, fix local-ipv4 only
      instances. (LP: #1728152)
    - Gentoo: Use "rc-service" rather than "service". [Carlos Konstanski]

cloud-init (17.1-25-g17a15f9e-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * New upstream snapshot.
    - resizefs: Fix regression when system booted with root=PARTUUID=
      (LP: #1725067)
    - tools: make yum package installation more reliable
    - citest: fix remaining warnings raised by integration tests.
    - citest: show the class actual class name in results.
    - ntp: fix config module schema to allow empty ntp config
      (LP: #1724951)
    - tools: disable fastestmirror if using proxy [Joshua Powers]

cloud-init (17.1-18-gd4f70470-0ubuntu1~17.04.2) zesty-proposed; urgency=medium

  * cherry-pick 41152f1: schema: Log debug instead of warning when
    jsonschema is absent (LP: #1724354)

cloud-init (17.1-18-gd4f70470-0ubuntu1~17.04.1) zesty-proposed; urgency=medium

  * drop the following cherry picks, now incorporated in snapshot.
    + debian/patches/cpick-a2f8ce9c-Do-not-provide-systemd-fsck-drop...
  * debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
    (LP: #1718681)
  * debian/control: drop dependency on python3-prettytable
  * debian/rules: install rsyslog file with 0644 mode instead of 0755.
  * debian/rules, debian/apport-launcher.py: add an apport hook. (LP: #1607345)
  * New upstream snapshot (LP: #1721847)
    - simpletable: Fix get_string method to return table-formatted string
    - net: Handle bridge stp values of 0 and convert to boolean type
      [Chad Smith]
    - tools: Give specific --abbrev=8 to "git describe"
    - network: bridge_stp value not always correct [Ryan Harper]
    - tests: re-enable tox with nocloud-kvm support [Joshua Powers]
    - systemd: remove limit on tasks created by cloud-init-final.service.
      [Robert Schweikert]
    - suse: Support addition of zypper repos via cloud-config.
      [Robert Schweikert]
    - tests: Combine integration configs and testcases [Joshua Powers]
    - Azure, CloudStack: Support reading dhcp options from systemd-networkd.
      [Dimitri John Ledkov]
    - packages/debian/copyright: remove mention of boto and MIT license
    - systemd: only mention Before=apt-daily.service on debian based distros.
      [Robert Schweikert]
    - Add missing simpletable and simpletable tests for failed merge
      [Chad Smith]
    - Remove prettytable dependency, introduce simpletable [Andrew Jorgensen]
    - debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
      [Joshua Powers]
    - tests: remove dependency on shlex [Joshua Powers]
    - AltCloud: Trust PATH for udevadm and modprobe.
    - DataSourceOVF: use util.find_devs_with(TYPE=iso9660)
      [Ryan Harper]
    - tests: remove a temp file used in bootcmd tests.
    - release 17.1
    - doc: document GCE datasource. [Arnd Hannemann]
    - suse: updates to templates to support openSUSE and SLES.
      [...

Read more...

Changed in cloud-init (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.3 KiB)

This bug was fixed in the package cloud-init - 17.1-27-geb292c18-0ubuntu1~16.04.1

---------------
cloud-init (17.1-27-geb292c18-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - EC2: Limit network config to fallback nic, fix local-ipv4 only
      instances. (LP: #1728152)
    - Gentoo: Use "rc-service" rather than "service". [Carlos Konstanski]

cloud-init (17.1-25-g17a15f9e-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - resizefs: Fix regression when system booted with root=PARTUUID=
      (LP: #1725067)
    - tools: make yum package installation more reliable
    - citest: fix remaining warnings raised by integration tests.
    - citest: show the class actual class name in results.
    - ntp: fix config module schema to allow empty ntp config
      (LP: #1724951)
    - tools: disable fastestmirror if using proxy [Joshua Powers]

cloud-init (17.1-18-gd4f70470-0ubuntu1~16.04.2) xenial-proposed; urgency=medium

  * cherry-pick 41152f1: schema: Log debug instead of warning when
    jsonschema is absent (LP: #1724354)

cloud-init (17.1-18-gd4f70470-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * drop the following cherry picks, now incorporated in snapshot.
    + debian/patches/cpick-a2f8ce9c-Do-not-provide-systemd-fsck-drop...
  * debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
    (LP: #1718681)
  * debian/control: drop dependency on python3-prettytable
  * debian/rules: install rsyslog file with 0644 mode instead of 0755.
  * debian/rules, debian/apport-launcher.py: add an apport hook. (LP: #1607345)
  * New upstream snapshot. (LP: #1721847)
    - simpletable: Fix get_string method to return table-formatted string
    - net: Handle bridge stp values of 0 and convert to boolean type
      [Chad Smith]
    - tools: Give specific --abbrev=8 to "git describe"
    - network: bridge_stp value not always correct [Ryan Harper]
    - tests: re-enable tox with nocloud-kvm support [Joshua Powers]
    - systemd: remove limit on tasks created by cloud-init-final.service.
      [Robert Schweikert]
    - suse: Support addition of zypper repos via cloud-config.
      [Robert Schweikert]
    - tests: Combine integration configs and testcases [Joshua Powers]
    - Azure, CloudStack: Support reading dhcp options from systemd-networkd.
      [Dimitri John Ledkov]
    - packages/debian/copyright: remove mention of boto and MIT license
    - systemd: only mention Before=apt-daily.service on debian based distros.
      [Robert Schweikert]
    - Add missing simpletable and simpletable tests for failed merge
      [Chad Smith]
    - Remove prettytable dependency, introduce simpletable [Andrew Jorgensen]
    - debian/copyright: dep5 updates, reorganize, add Apache 2.0 license.
      [Joshua Powers]
    - tests: remove dependency on shlex [Joshua Powers]
    - AltCloud: Trust PATH for udevadm and modprobe.
    - DataSourceOVF: use util.find_devs_with(TYPE=iso9660)
      [Ryan Harper]
    - tests: remove a temp file used in bootcmd tests.
    - release 17.1
    - doc: document GCE datasource. [Arnd Hannemann]
    - suse: updates to templates to support openSUSE and SLES.
  ...

Read more...

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released

This bug is believed to be fixed in cloud-init in 1705804. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers